PDA

Afficher la version complète : Mise a jour de sécurité sur rdesktop et viewvc



jluce
25/05/2011, 09h05
rdesktop

openSUSE Security Update: rdesktop security update
__________________________________________________ ____________________________

Announcement ID: openSUSE-SU-2011:0530-1
Rating: moderate
References: #689029
Cross-References: CVE-2011-1595
Affected Products:
openSUSE 11.3
__________________________________________________ ____________________________

An update that fixes one vulnerability is now available.

Description:

A malicious server could access any file on clients
connecting to it if the client shared some ressource
(CVE-2011-1595).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch rdesktop-4544

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64):

rdesktop-1.6.0-43.2.1


References:

http://support.novell.com/security/cve/CVE-2011-1595.html
https://bugzilla.novell.com/689029

viewvc

openSUSE Security Update: viewvc security update
__________________________________________________ ____________________________

Announcement ID: openSUSE-SU-2011:0529-1
Rating: low
References: #694785
Cross-References: CVE-2009-5024
Affected Products:
openSUSE 11.4
openSUSE 11.3
__________________________________________________ ____________________________

An update that fixes one vulnerability is now available. It
includes one version update.

Description:

cvsdb.py in viewvc did not honor an admin defined row limit
which could cause high load on the database server. viewvc
was updated to version 1.1.11 which fixes the issue
(CVE-2009-5024).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch viewvc-4599

- openSUSE 11.3:

zypper in -t patch viewvc-4599

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (noarch):

viewvc-1.1.11-1.3.1

- openSUSE 11.3 (noarch) [New Version: 1.1.11]:

viewvc-1.1.11-1.3.1


References:

http://support.novell.com/security/cve/CVE-2009-5024.html
https://bugzilla.novell.com/694785